Subject: bug#21432: 25.0.50; file-notify-rm-watch (inotify) errors if watched dir is deleted

From: Eli Zaretskii <[email-masked]>
Date: Mon, 14 Sep 2015 10:35:28 +0300

> Date: Sat, 12 Sep 2015 18:11:37 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > Last point, I've observed that inotify and gfilenotify raise a
> > `file-notify-error' when needed. w32notify raises a `file-error'.
> > Shouldn't it raise also `file-notify-error'?.
> 
> Yes, it should.

I've done that now.

I find the way inotify.c and gfilenotify.c report errors suboptimal:
they don't report the errno value and the related data, so the error
messages tell less than they could.  I went the way similar to
report_file_error instead.  Maybe the other back-ends should follow
suit.